Error message in samples.demux.summary.qzv of PacBio 16S ccs reads

Hi,

I got this error message when viewing samples.demux.summary.qzv of PacBio 16S ccs reads

"Danger: Some of the forward PHRED quality values are out of range. This is likely because an incorrect PHRED offset was chosen on import of your raw data. You can learn how to choose your PHRED offset during import in the importing tutorial."

The code that I use is

qiime tools import --type 'SampleData[SequencesWithQuality]'
--input-path manifest.txt
--output-path samples.qza
--input-format SingleEndFastqManifestPhred33V2

Also, after running the next code:

qiime dada2 denoise-ccs --i-demultiplexed-seqs ./samples.qza
--o-table dada2-ccs_table.qza
--o-representative-sequences dada2-ccs_rep.qza
--o-denoising-stats dada2-ccs_stats.qza
--p-min-len 1000 --p-max-len 1600
--p-front AGRGTTYGATYMTGGCTCAG --p-adapter RGYTACCTTGTTACGACTT
--p-n-threads 8

I got this error message:

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-3htezhb0.log

Any help, please!

Thanks!

Hello @Eman, can you tell us what version of QIIME 2 you were running when this error occurred as well as what sort of environment you were running QIIME 2 in (Linux, Mac, HPC, etc.)? Additionally, can you please post the contents of the log file referenced in the error? Thank you.

Hi @Eman,

I merged this post with your other one regarding the same topic - this helps us keep things organized and makes it easier for folks to search for previous issues on the forum. Thanks!

Hi @Oddant1
I am using Qiime2-2022.2, on Ubuntu 20.04. I am not sure how to read the content of log file.

May you please share the command to find/read the log file? I can not see the tmp folder.
I used this
$find -L /tmp/qiime2-q2cli-err-3htezhb0.log

/tmp/qiime2-q2cli-err-3htezhb0.log

Thanks!

@Eman it is likely that the log file no longer exists, can you please rerun the command with the --verbose flag and post the results here?

1 Like

@Oddant1

I got this error report:

Some input samples had no reads pass the primer detection.
..............................................................................................................................................................................x...............................................................x..........................................................................................................................................
2) Filtering
The filter removed all reads: /tmp/tmpdffhtib2/filt/S-21_140_L001_R1_001.fastq.gz not written.
The filter removed all reads: /tmp/tmpdffhtib2/filt/S-23_155_L001_R1_001.fastq.gz not written.
The filter removed all reads: /tmp/tmpdffhtib2/filt/S-27_195_L001_R1_001.fastq.gz not written.
The filter removed all reads: /tmp/tmpdffhtib2/filt/S-32_237_L001_R1_001.fastq.gz not written.
The filter removed all reads: /tmp/tmpdffhtib2/filt/S-35_241_L001_R1_001.fastq.gz not written.
The filter removed all reads: /tmp/tmpdffhtib2/filt/S-52_354_L001_R1_001.fastq.gz not written.
The filter removed all reads: /tmp/tmpdffhtib2/filt/S-61_5_L001_R1_001.fastq.gz not written.
The filter removed all reads: /tmp/tmpdffhtib2/filt/Water_376_L001_R1_001.fastq.gz not written.
Some input samples had no reads pass the filter.
..........................................................................x................x..........................................x...............................................x......x..................................................................................................................................x.........................x...........................x
3) Learning Error Rates
1422974029 total bases in 1007780 reads from 135 samples will be used for learning the error rates.
4) Denoise samples
...............................................................................................................................................................................................................................................................................................................................................................................
5) Remove chimeras (method = consensus)
6) Report read numbers through the pipeline
Error in cbind(prim, out[, 2], matrix(0, nrow = nrow(out), ncol = 2)) :
number of rows of matrices must match (see arg 3)
Execution halted
Traceback (most recent call last):
File "/home/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 361, in denoise_ccs
run_commands([cmd])
File "/home/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
subprocess.run(cmd, check=True)
File "/home/miniconda3/envs/qiime2-2022.2/lib/python3.8/subprocess.py", line 516, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['run_dada_ccs.R', '/tmp/qiime2-archive-l97kx3j5/41119b99-dca1-4d42-aa7d-411bc8b1bf8e/data', '/tmp/tmpdffhtib2/output.tsv.biom', '/tmp/tmpdffhtib2/track.tsv', '/tmp/tmpdffhtib2/nop', '/tmp/tmpdffhtib2/filt', 'AGRGTTYGATYMTGGCTCAG', 'RGYTACCTTGTTACGACTT', '2', 'False', '0', '0', '2.0', '2', '1000', '1600', 'independent', 'consensus', '3.5', '8', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2cli/commands.py", line 339, in call
results = action(**arguments)
File "", line 2, in denoise_ccs
File "/home/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/qiime2/sdk/action.py", line 245, in bound_callable
outputs = self.callable_executor(scope, callable_args,
File "/home/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/qiime2/sdk/action.py", line 391, in callable_executor
output_views = self._callable(**view_args)
File "/home/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 370, in denoise_ccs
raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

-- So, I think the problem is that I have 8 samples with zero reads. I am unsure if there are any other issues in this error message.

Thank you!

@Eman that seems likely to me. Is it possible for you to remove those samples (not delete them just temporarily put them somewhere else) and try again?

1 Like

@Oddant1
I did, then re-ran the code that generated another error but without referring to the sample numbers that caused this error. So, I re-did the process in R to figure out which samples caused these errors to remove them (kept somewhere), then re-ran the code in qiime on selected samples that were successfully processed in R. Eventually the code worked in Qiime. I will proceed with the workflow and see.
Are there any recommendations?

Thank you!

@Oddant1
After removal of either samples with zero reads or a single read after filterAndTrim (from R), then follow Qiime tutorial for PacBio 16S reads, when viewing samples.demux.summary.qzv, I can see this warning message:
Danger: Some of the forward PHRED quality values are out of range. This is likely because an incorrect PHRED offset was chosen on import of your raw data. You can learn how to choose your PHRED offset during import in the importing tutorial.
So, any recommedations, here?
Thanks!

Hello @Eman, have you followed the recommendations made about setting a PHRED offset in the importing tutorial particularly here and here

[email protected]
I am following this tutorial specific for PacBio 16S reads.
https://github-wiki-see.page/m/PacificBiosciences/pb-16S-nf/wiki/Analyzing-PacBio-HiFi-Mock-Community-16S-Data-with-QIIME-2

Thanks!

Hello @Eman, based on that tutorial, and the initial import command you posted, you have imported your data as Phred33V2. The error is suggesting this may be the incorrect offset here in the tutorial it indicates the other options for importing. Perhaps you can try Phred64 or Phred64V2? To be honest with you, I am not sure which is correct for your data! (Also, that tutorial was not created by the QIIME 2 team, so I am not familiar with it, but it does seem perfectly suitable at a glance).